Subject: Re: bug#13306: 24.2; [WishList] rmail-next-error-move functionality for occurs mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Dec 2012 06:50:13 +0200

> From: Mark Lillibridge <[email-masked]>
> Date: Sat, 29 Dec 2012 14:43:03 -0800
> 
> 
>     I noticed that an (unannounced) new function, rmail-next-error-move,
> got added to Rmail recently.  It allows sane use of grep with Rmail
> files (e.g., go to the correct message properly narrowed) so long as the
> Rmail files are already open in Rmail mode.
> 
>     This is not terribly useful most of the time; what would be much
> more useful is similar functionality for occurs mode run on a Rmail
> buffer that has been widened.  That is, it would be really nice to be
> able to widen the Rmail buffer (C-c C-w) then do an occurs search, which
> would let you see the results in context for all the messages at once
> and easily jump between the occurrences.

Why don't you use mairix.el instead?  Then you could search _all_ of
your Rmail files, not just the inbox, and have the results presented
in a separate Rmail file.  The search is also more sophisticated and
flexible than just grep.  Take a look at the mairix manual for the
details.

IOW, instead of introducing one more feature, use an existing one.  It
serves me well, FWIW.